### Function

# EDataServer SoupSession util_get_message_bytes

since: 3.46

#### Declaration [src]

    GByteArray*
    e_soup_session_util_get_message_bytes (
      SoupMessage* message
    )

#### Description [src]

Returns bytes read from the message response, when the message send failed. This can be used to examine detailed error returned by the server in the response body.

Available since: 3.46

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `guint8`

Read message data on failed request, or `NULL`, when none had been read.

The data is owned by the called function.
The return value can be `NULL`.